#![cfg(feature = "test-log-simple")]
// SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
// SPDX-License-Identifier: BSD-2-Clause
//! Test the helper functions for logging.

#![expect(clippy::tests_outside_test_module, reason = "integration test")]

use roundlet::test_log;

#[test]
/// Make sure [`roundlet::test_log::setup_logging`] may be invoked twice.
fn init_twice() {
    test_log::setup_logging();
    test_log::setup_logging();
}
